japa.parser.ast.stmt

## Class Statement

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.Statement

Direct Known Subclasses:
  AssertStmt, BlockStmt, BreakStmt, ContinueStmt, DoStmt, EmptyStmt, ExplicitConstructorInvocationStmt, ExpressionStmt, ForeachStmt, ForStmt, IfStmt, LabeledStmt, ReturnStmt, SwitchEntryStmt, SwitchStmt, SynchronizedStmt, ThrowStmt, TryStmt, TypeDeclarationStmt, WhileStmt

    public abstract class Statement
    extends Node

### Constructor Summary

Constructors
Constructor and Description
`Statement()`
`Statement(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Statement

    public Statement()

#### Statement

    public Statement(int beginLine,
             int beginColumn,
             int endLine,
             int endColumn)